org.eclipse.oomph.setup.p2

## Interface SetupP2Factory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    SetupP2FactoryImpl

      public interface SetupP2Factory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `SetupP2Package`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SetupP2Factory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `P2Task` | `createP2Task()` Returns a new object of class 'P2 Task'.
    `P2Task` | `createP2Task(String[] ius, String[] repositories)`
    `P2Task` | `createP2Task(String[] ius, String[] repositories, Set<String> existingIUs)`
    `SetupP2Package` | `getSetupP2Package()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final SetupP2Factory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createP2Task

          P2Task createP2Task()

      Returns a new object of class 'P2 Task'.
      Returns:
        a new object of class 'P2 Task'.
      Generated

    - #### createP2Task

          P2Task createP2Task(String[] ius,
                            String[] repositories)

    - #### createP2Task

          P2Task createP2Task(String[] ius,
                            String[] repositories,
                            Set<String> existingIUs)

    - #### getSetupP2Package

          SetupP2Package getSetupP2Package()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html